javax.jdo.annotations

## Enum InheritanceStrategy

- java.lang.Object
- - java.lang.Enum<InheritanceStrategy>
  - - javax.jdo.annotations.InheritanceStrategy

- All Implemented Interfaces:
    Serializable, Comparable<InheritanceStrategy>

      public enum InheritanceStrategy
      extends Enum<InheritanceStrategy>

  Enumeration of the inheritance strategy values.
  Since:
    2.1
  Version:
    3.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETE_TABLE`
    `NEW_TABLE`
    `SUBCLASS_TABLE`
    `SUPERCLASS_TABLE`
    `UNSPECIFIED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InheritanceStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InheritanceStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final InheritanceStrategy UNSPECIFIED

    - #### NEW_TABLE

          public static final InheritanceStrategy NEW_TABLE

    - #### SUBCLASS_TABLE

          public static final InheritanceStrategy SUBCLASS_TABLE

    - #### SUPERCLASS_TABLE

          public static final InheritanceStrategy SUPERCLASS_TABLE

    - #### COMPLETE_TABLE

          public static final InheritanceStrategy COMPLETE_TABLE

  - ### Method Detail

    - #### values

          public static InheritanceStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InheritanceStrategy c : InheritanceStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InheritanceStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.